> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Info by ContractAddress

> Retrieves project details and social media links for an ERC-20/ERC-721/ERC-1155 token.

export const chain = '1';

<Note>This is a PRO endpoint, available to the [Standard Plan](/rate-limits) and above</Note>

<Warning>This endpoint is throttled to **2 calls/second** regardless of API Pro tier.</Warning>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "contractAddress": "0x0e3a2a1f2146d86a604adc220b4967a898d7fe07",
        "tokenName": "Gods Unchained Cards",
        "symbol": "CARD",
        "divisor": "0",
        "tokenType": "ERC721",
        "totalSupply": "6972003",
        "blueCheckmark": "true",
        "description": "A TCG on the Ethereum blockchain that uses NFT's to bring real ownership to in-game assets.",
        "website": "https://godsunchained.com/",
        "email": "",
        "blog": "https://medium.com/@fuelgames",
        "reddit": "https://www.reddit.com/r/GodsUnchained/",
        "slack": "",
        "facebook": "https://www.facebook.com/godsunchained/",
        "twitter": "https://twitter.com/godsunchained",
        "bitcointalk": "",
        "github": "",
        "telegram": "",
        "wechat": "",
        "linkedin": "",
        "discord": "https://discordapp.com/invite/DKGr2pW",
        "whitepaper": "",
        "tokenPriceUSD": "0.000000000000000000",
        "image": ""
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/tokeninfo.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Token Info by ContractAddress
  version: 2.0.0
  description: >-
    Retrieves project details and social media links for an
    ERC-20/ERC-721/ERC-1155 token.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Token Info by ContractAddress
      description: >-
        Retrieves project details and social media links for an
        ERC-20/ERC-721/ERC-1155 token.
      operationId: getTokeninfo
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to token for this endpoint.
          schema:
            type: string
            default: token
          example: token
        - name: action
          in: query
          required: true
          description: Set to tokeninfo for this endpoint.
          schema:
            type: string
            default: tokeninfo
          example: tokeninfo
        - name: contractaddress
          in: query
          required: true
          description: Contract address of the token to retrieve info for.
          schema:
            type: string
          example: '0x0e3a2a1f2146d86a604adc220b4967a898d7fe07'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        contractAddress:
                          type: string
                          description: Contract address of the token.
                        tokenName:
                          type: string
                          description: Name of the token.
                        symbol:
                          type: string
                          description: Symbol of the token.
                        divisor:
                          type: string
                          description: Number of decimals the token uses.
                        tokenType:
                          type: string
                          description: Token standard, such as ERC20, ERC721, or ERC1155.
                        totalSupply:
                          type: string
                          description: >-
                            Total supply of the token, in the token's smallest
                            unit.
                        blueCheckmark:
                          type: string
                          description: true if the token is verified by Etherscan.
                        description:
                          type: string
                          description: Project description.
                        website:
                          type: string
                          description: Project website.
                        email:
                          type: string
                          description: Project contact email.
                        blog:
                          type: string
                          description: Project blog link.
                        reddit:
                          type: string
                          description: Project Reddit link.
                        slack:
                          type: string
                          description: Project Slack link.
                        facebook:
                          type: string
                          description: Project Facebook link.
                        twitter:
                          type: string
                          description: Project X (Twitter) link.
                        bitcointalk:
                          type: string
                          description: Project Bitcointalk link.
                        github:
                          type: string
                          description: Project GitHub link.
                        telegram:
                          type: string
                          description: Project Telegram link.
                        wechat:
                          type: string
                          description: Project WeChat link.
                        linkedin:
                          type: string
                          description: Project LinkedIn link.
                        discord:
                          type: string
                          description: Project Discord link.
                        whitepaper:
                          type: string
                          description: Project whitepaper link.
                        tokenPriceUSD:
                          type: string
                          description: Latest token price in US dollars.
                        image:
                          type: string
                          description: URL of the token logo.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````